Package oasis.names.tc.saml._2_0.protocol

# Class AuthnQuery

java.lang.Object
oasis.names.tc.saml._2_0.protocol.RequestAbstractType
oasis.names.tc.saml._2_0.protocol.SubjectQueryAbstractType
oasis.names.tc.saml._2_0.protocol.AuthnQuery

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class AuthnQuery extends SubjectQueryAbstractType implements Serializable

Java class for AuthnQueryType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AuthnQueryType">
       <complexContent>
         <extension base="{urn:oasis:names:tc:SAML:2.0:protocol}SubjectQueryAbstractType">
           <sequence>
             <element ref="{urn:oasis:names:tc:SAML:2.0:protocol}RequestedAuthnContext" minOccurs="0"/>
           </sequence>
           <attribute name="SessionIndex" type="{http://www.w3.org/2001/XMLSchema}string" />
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AuthnQuery()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RequestedAuthnContext`
  `getRequestedAuthnContext()`
  Gets the value of the requestedAuthnContext property.
  `String`
  `getSessionIndex()`
  Gets the value of the sessionIndex property.
  `void`
  `setRequestedAuthnContext(RequestedAuthnContext value)`
  Sets the value of the requestedAuthnContext property.
  `void`
  `setSessionIndex(String value)`
  Sets the value of the sessionIndex property.

  ### Methods inherited from class oasis.names.tc.saml._2_0.protocol.SubjectQueryAbstractType

  `getSubject, setSubject`

  ### Methods inherited from class oasis.names.tc.saml._2_0.protocol.RequestAbstractType

  `getConsent, getDestination, getExtensions, getID, getIssueInstant, getIssuer, getSignature, getVersion, setConsent, setDestination, setExtensions, setID, setIssueInstant, setIssuer, setSignature, setVersion`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AuthnQuery

    public AuthnQuery()

- ## Method Details

  - ### getRequestedAuthnContext

    public RequestedAuthnContext getRequestedAuthnContext()
    Gets the value of the requestedAuthnContext property.
    Returns:
      possible object is `RequestedAuthnContext`

  - ### setRequestedAuthnContext

    public void setRequestedAuthnContext(RequestedAuthnContext value)
    Sets the value of the requestedAuthnContext property.
    Parameters:
      `value` - allowed object is `RequestedAuthnContext`

  - ### getSessionIndex

    public String getSessionIndex()
    Gets the value of the sessionIndex property.
    Returns:
      possible object is `String`

  - ### setSessionIndex

    public void setSessionIndex(String value)
    Sets the value of the sessionIndex property.
    Parameters:
      `value` - allowed object is `String`